org.wildfly.swarm.config.jmx

## Class ExpressionExposeModel<T extends ExpressionExposeModel<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jmx.ExpressionExposeModel<T>

-     public class ExpressionExposeModel<T extends ExpressionExposeModel<T>>
      extends Object

  The configuration for exposing the 'expression' model controller in the MBeanServer. This facade will expose all simple attributes and operation parameters as String. Reads return the unresolved expression. You may use expressions when writing attributes and setting operation parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionExposeModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `domainName()` The domain name to use for the 'expression' model controller JMX facade in the MBeanServer.
    `T` | `domainName(String value)` The domain name to use for the 'expression' model controller JMX facade in the MBeanServer.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionExposeModel

          public ExpressionExposeModel()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### domainName

          public String domainName()

      The domain name to use for the 'expression' model controller JMX facade in the MBeanServer.

    - #### domainName

          public T domainName(String value)

      The domain name to use for the 'expression' model controller JMX facade in the MBeanServer.

Copyright © 2018 JBoss by Red Hat. All rights reserved.